For the complete documentation index, see llms.txt. This page is also available as Markdown.

Invoices

Invoices object

Get invoices

get
/v1/invoices

This operation returns a list of invoices.

Note: This operation needs Authentication and supports the following JSON:API features:

  • Relationships - invoiceItems, user, register, originalInvoice, order, promoCode, revenueCenter using include query parameter.

  • Filters - createdAtGt, createdAtGteq, createdAtLt, createdAtLteq, registerIdEq

  • Sparse fieldsets - supports all fields of invoices and related resources with fields query parameter.

Authorizations
AuthorizationstringRequired

Bearer HTTP authentication. Allowed headers-- Authorization: Bearer <api_key>

Query parameters
page[size]integer · int32 · min: 1 · max: 1000Optional

The number of resources to return in a single response.

page[before]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
page[after]string · min: 1 · max: 36Optional

Unique identifier.

Pattern: ^[a-zA-Z0-9-]+$
filter[createdAtGt]any ofOptional

Filters the objects that were created after a specified datetime.

string · date-time · max: 25Optional

Timestamp in RFC 3339 format.

Example: 2023-10-16T14:30:00Z
or
string · date · max: 10Optional

Date in RFC 3339 format.

Example: 2023-10-16
filter[createdAtGteq]any ofOptional

Filters the objects that were created after or on a specified datetime.

string · date-time · max: 25Optional

Timestamp in RFC 3339 format.

Example: 2023-10-16T14:30:00Z
or
string · date · max: 10Optional

Date in RFC 3339 format.

Example: 2023-10-16
filter[createdAtLt]any ofOptional

Filters the objects that were created before a specified datetime.

string · date-time · max: 25Optional

Timestamp in RFC 3339 format.

Example: 2023-10-17T14:30:00Z
or
string · date · max: 10Optional

Date in RFC 3339 format.

Example: 2023-10-17
filter[createdAtLteq]any ofOptional

Filters the objects that were created before or on a specified datetime.

string · date-time · max: 25Optional

Timestamp in RFC 3339 format.

Example: 2023-10-17T14:30:00Z
or
string · date · max: 10Optional

Date in RFC 3339 format.

Example: 2023-10-17
filter[registerIdEq]string · uuid · min: 36 · max: 36Optional

Universally unique ID UUID4.

Example: 5efa8b3c-b930-4b31-918d-95ab0e212e64
Responses
400

Bad request.

application/vnd.api+json
get/v1/invoices
GET /pos/v1/invoices HTTP/1.1
Host: api.mews.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "errors": [
    {
      "id": "text",
      "status": "200",
      "code": "text",
      "title": "text",
      "detail": "text",
      "source": {
        "pointer": "text",
        "parameter": "text",
        "header": "text"
      },
      "meta": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Last updated

Was this helpful?